Author: Zane Taylor (zwtaylor@stanford.edu)
Date: 14 March 2024

This tool is constructed for EE367 Computational Imaging at Stanford University
to calculate blurring and image formation in transmission x-ray microscopy using
compound refractive lenses. This model assumes Gaussian PSF for defocusing blur
with samples of finite thickness and can be used to calculate both focal stacks
resulting from small energy detuning about a nominal photon energy that the
microscope is engineered for, as well as a chromatically aberrated image for
arbitary illumination spectra. This model neglects refraction and interference
in the sample, diffraction limited resolution, the chromatic effects of
magnification in the detuning case, as well as the PSFs resulting from detector
binning and other downstream optics. The utility of this model is that it
preserves the chromatic information of the images, allowing the user to introduce
further chromatic imaging elements, and it is integrated into the governing
equations of compound refractive lenses.

Two files exist:
	Decriment_Composite_Be.txt
	DoF Calculations_submission.ipynb

The first contains basic material information necessary to calculate the energy
dependent microscope behavior. This file comes from the CXRO Database.

The second file provides a Python Notebook which houses the tool and demonstrates
its use in several examples.

Basic CRL equations were taken from Simons 2016 and the remaining behavior is
derived in the final report for EE367 titled: "Forward Modeling Chromatic Aberration
and Depth of Field in Transmission X-ray Microscopy."